Payment batches & settlement

Get Schedule Settlement Status

Name and signature indicate it gets schedule settlement status

GEThttps://api.toku.com/tga/get-schedule-settlement-status

Required scope: payments:read. It also needs banking:read, compensation:read.

curl --request GET \
  --url 'https://api.toku.com/tga/get-schedule-settlement-status?taxReferenceID=%3CtaxReferenceID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "hasTransaction": true,
  "status": "QUEUED",
  "transaction": {
    "transactionID": "string",
    "providerName": "SAFE",
    "status": "QUEUED",
    "providerTransactionID": "string",
    "transactionHash": "string",
    "explorerUrl": "string",
    "destinationAddress": "string",
    "submittedAmount": "string",
    "sourceCustodyWalletID": "string",
    "isPartial": true,
    "lastStatusChangeAt": "string",
    "createdAt": "string",
    "error": {
      "code": "string",
      "message": "string",
      "httpStatus": 0
    }
  },
  "canSubmit": true,
  "canRetry": true,
  "isMultiPart": true,
  "partSummary": {
    "total": 0,
    "ready": 0,
    "pending": 0,
    "completed": 0,
    "failed": 0
  },
  "parts": [
    {
      "taxReferenceID": "string",
      "custodyWalletID": "string",
      "providerName": "SAFE",
      "submittedAmount": "string",
      "status": "READY",
      "providerTransactionID": "string",
      "transactionID": "string",
      "error": {
        "code": "string",
        "message": "string",
        "httpStatus": 0
      },
      "lastStatusChangeAt": "string"
    }
  ],
  "allTransactions": [
    {
      "transactionID": "string",
      "providerName": "SAFE",
      "status": "QUEUED",
      "providerTransactionID": "string",
      "transactionHash": "string",
      "explorerUrl": "string",
      "destinationAddress": "string",
      "submittedAmount": "string",
      "sourceCustodyWalletID": "string",
      "isPartial": true,
      "lastStatusChangeAt": "string",
      "createdAt": "string",
      "error": {
        "code": "string",
        "message": "string",
        "httpStatus": 0
      }
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

taxReferenceIDstring<uuid>required

Response

200Successful response
hasTransactionbooleanrequired
statusstring | nullrequired

Available options: QUEUED, PENDING, PENDING_APPROVAL, BROADCASTING, CONFIRMING, COMPLETED, FAILED, CANCELLED, REJECTED, null

transactionobject
Show child attributes
transactionIDstringrequired
providerNamestringrequired

Available options: SAFE, SAFE_PROPOSER, ANCHORAGE, FIREBLOCKS, SQUADS, COINBASE, FILECOIN_SELF_CUSTODY, FORDEFI, BITGO

statusstringrequired

Available options: QUEUED, PENDING, PENDING_APPROVAL, BROADCASTING, CONFIRMING, COMPLETED, FAILED, CANCELLED, REJECTED

providerTransactionIDstring
transactionHashstring
explorerUrlstring
destinationAddressstringrequired
submittedAmountstring

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$

sourceCustodyWalletIDstring
isPartialboolean
lastStatusChangeAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

errorobject
Show child attributes
codestring
messagestring
httpStatusnumber
canSubmitbooleanrequired
canRetrybooleanrequired
isMultiPartboolean
partSummaryobject
Show child attributes
totalintegerrequired
readyintegerrequired
pendingintegerrequired
completedintegerrequired
failedintegerrequired
partsobject[]
Show child attributes
taxReferenceIDstringrequired
custodyWalletIDstringrequired
providerNamestringrequired

Available options: SAFE, SAFE_PROPOSER, ANCHORAGE, FIREBLOCKS, SQUADS, COINBASE, FILECOIN_SELF_CUSTODY, FORDEFI, BITGO

submittedAmountstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$

statusstringrequired

Available options: READY, PENDING, COMPLETED, FAILED, BLOCKED

providerTransactionIDstring
transactionIDstring
errorobject
Show child attributes
codestring
messagestring
httpStatusnumber
lastStatusChangeAtstring

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

allTransactionsobject[]
Show child attributes
transactionIDstringrequired
providerNamestringrequired

Available options: SAFE, SAFE_PROPOSER, ANCHORAGE, FIREBLOCKS, SQUADS, COINBASE, FILECOIN_SELF_CUSTODY, FORDEFI, BITGO

statusstringrequired

Available options: QUEUED, PENDING, PENDING_APPROVAL, BROADCASTING, CONFIRMING, COMPLETED, FAILED, CANCELLED, REJECTED

providerTransactionIDstring
transactionHashstring
explorerUrlstring
destinationAddressstringrequired
submittedAmountstring

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$

sourceCustodyWalletIDstring
isPartialboolean
lastStatusChangeAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

errorobject
Show child attributes
codestring
messagestring
httpStatusnumber
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits